#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 rank2classes
version:              1.5.3
visibility:           public
id:                   rank2classes-1.5.3-yf647ppPaCEvl6Qzqg8Do
key:                  rank2classes-1.5.3-yf647ppPaCEvl6Qzqg8Do
license:              BSD-3-Clause
copyright:            (c) 2017 Mario Blažević
maintainer:           Mario Blažević <blamario@protonmail.com>
author:               Mario Blažević
homepage:             https://github.com/blamario/grampa/tree/master/rank2classes
synopsis:
    standard type constructor class hierarchy, only with methods of rank 2 types

description:
    A mirror image of the standard type constructor class hierarchy rooted in '\''Functor'\'', except with methods of rank 2
    types and class instances of kind @(k->*)->*@. The classes enable generic handling of heterogenously typed data
    structures and other neat tricks.

category:             Control, Data, Generics
abi:                  e56e94da63a455bfa76363f51f8127c3
exposed:              True
exposed-modules:      Rank2 Rank2.TH
import-dirs:          /usr/lib/ghc-9.2.8/site-local/rank2classes-1.5.3
library-dirs:         /usr/lib/ghc-9.2.8/site-local/rank2classes-1.5.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-rank2classes
hs-libraries:         HSrank2classes-1.5.3-yf647ppPaCEvl6Qzqg8Do
depends:
    base-4.16.4.0 data-functor-logistic-0.0-l9L6cxg42PLAQ9y3A4Z0t
    distributive-0.6.2.1-CzBYI4BKxuu418ypcnYDj2
    template-haskell-2.18.0.0 transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-rank2classes/html/rank2classes.haddock

haddock-html:         /usr/share/doc/haskell-rank2classes/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

